---
search:
  tags:
    - Attributes
    - PATCH
seo:
  description: >-
    Updates an… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}
    endpoint in the Management API.
sidebar:
  label: Update attribute
  badge: PATCH
title: Update attribute
type: openapi-operation
---
Updates an existing attribute including its key, name, description, and field values. Field values are validated against the template's field types (e.g., image fields must be valid images, number fields must be numeric). For image fields, you may upload a file, pass a public image URL in the field key, or reference an existing app image by UUID via form field `image_id` when the field key is `image`, otherwise `<field_key>_image_id`.

`PATCH /api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}`

**Request body** (`application/x-www-form-urlencoded`)

- `key` (string) — Unique key for the attribute. This needs to be unique per template.
- `name` (string) — VariantName for the attribute
- `description` (string) — Description for the attribute

Request body example:

```json
{
  "key": "string",
  "name": "string",
  "description": "string"
}
```

**Responses**

- `200` — Attributes
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "description": "string",
    "fields": [
      {
        "created_at": "string",
        "id": "string",
        "key": "string",
        "name": "string",
        "type": "string",
        "updated_at": "string"
      }
    ],
    "filterable": true,
    "id": "string",
    "key": "string",
    "linked_attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "name": "string",
    "template_key": "string",
    "template_name": "string",
    "translatable": true,
    "translations": {
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "name": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string",
    "values": {
      "property1": {
        "field_id": "string",
        "id": "string",
        "image_id": "string",
        "image_object": {
          "alt": "string",
          "app_id": "string",
          "blurhash": "string",
          "copyright": "string",
          "custom": {
            "property1": "string",
            "property2": "string"
          },
          "folder_id": "string",
          "id": "string",
          "parent_id": "string",
          "public": true,
          "status": "string",
          "title": "string",
          "url": "string"
        },
        "translations": {
          "value": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "type": "string",
        "value": "string"
      },
      "property2": {
        "field_id": "string",
        "id": "string",
        "image_id": "string",
        "image_object": {
          "alt": "string",
          "app_id": "string",
          "blurhash": "string",
          "copyright": "string",
          "custom": {
            "property1": "string",
            "property2": "string"
          },
          "folder_id": "string",
          "id": "string",
          "parent_id": "string",
          "public": true,
          "status": "string",
          "title": "string",
          "url": "string"
        },
        "translations": {
          "value": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "type": "string",
        "value": "string"
      }
    }
  },
  "details": [
    "string"
  ],
  "success": true
}
```
